/**_____________________________________________________________________________
 *
 *                                 OATS - INAF
 *  Osservatorio Astronomico di Tireste - Istituto Nazionale di Astrofisica
 *  Astronomical Observatory of Trieste - National Institute for Astrophysics
 * ____________________________________________________________________________
 *
 * Copyright (C) 20016  Istituto Nazionale di Astrofisica
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc., 
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * _____________________________________________________________________________
 **/
package it.inaf.oats.vospacebackend.implementation;

import it.inaf.oats.vospacebackend.exceptions.VOSpaceBackendException;
import java.io.IOException;
import java.io.File;
import java.sql.SQLException;

/**
 *
 * @author bertocco
 */
public interface VOSpaceBackend {
    
    public boolean createFile(String orig_f_name, String tmp_file, String md5_sum) 
                      throws VOSpaceBackendException, SQLException, IOException;
    
    public File returnFile(String orig_f_name)
                      throws VOSpaceBackendException, SQLException, IOException;
    
    public boolean deleteFile(String orig_f_name) 
                      throws VOSpaceBackendException, SQLException;
    
}
